Subject: [Bitcoin-development] Securing hardware wallets

From: devrandom <[email-masked]>
Date: Sun, 30 Mar 2014 13:12:01 -0700

I would like to solicit feedback on a whitepaper I wrote about securing
hardware wallets even if the hardware or software is compromised.  Let's
consider turning this into a BIP.

Abstract: With wide adoption hardware wallets present a very tempting
target. Once enough wealth is controlled by a specific hardware wallet
model, attacking the supply chain of the wallet becomes attractive.
Malware could be inserted in hardware or software. The random seed could
be generated in a way that is predictable to the attacker or the seed
could be leaked.

The paper describes a way for a "Warden" computer to manage a hardware
wallet in a way that protects the resulting private keys from
compromise.

https://github.com/devrandom/btc-papers/blob/master/hardware-wallet-security.md

-- 
Miron / devrandom